PUT TimeSaver/PutEmployeeAttendanceSummary
Request Information
URI Parameters
None.
Body Parameters
EmployeeAttendanceSummary| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| EmployeeID | globally unique identifier |
Required |
|
| SiteShiftID | globally unique identifier |
None. |
|
| QueryCategoryID | globally unique identifier |
None. |
|
| AttendanceDate | date |
Required |
|
| Hours | integer |
Required |
|
| Minutes | integer |
Required |
|
| Seconds | integer |
Required |
|
| HoursWorked | decimal number |
Required |
|
| TotalBreakMinutes | decimal number |
Required |
|
| DecisionID | DecisionType |
Required |
|
| DecisionDate | date |
None. |
|
| DecisionComments | string |
None. |
|
| IsQuery | boolean |
Required |
|
| IsClockedOut | boolean |
Required |
|
| ActualClockInTime | date |
None. |
|
| ThresholdClockInTime | date |
None. |
|
| ActualClockOutTime | date |
None. |
|
| ThresholdClockOutTime | date |
None. |
|
| OvertimeHoursWorked | decimal number |
Required |
|
| OvertimeHours | integer |
Required |
|
| OvertimeMinutes | integer |
Required |
|
| OvertimeSeconds | integer |
Required |
|
| IsOvertime | boolean |
Required |
|
| ApprovedBySecurityGroupUserID | globally unique identifier |
None. |
|
| ApprovedDate | date |
None. |
|
| Notes | string |
None. |
|
| IsConfirmed | boolean |
Required |
|
| ConfirmedDateTime | date |
None. |
|
| ConfirmedBySecurityGroupUserID | globally unique identifier |
None. |
|
| UnprocessedScans | boolean |
Required |
|
| RunningCompressedTotalWorked | decimal number |
None. |
|
| CompressedExpectedWeekHours | decimal number |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "290e3ed6-ea39-4bb5-9f84-7a40e7862ad6",
"employeeID": "99f0e732-86f2-4a7a-bba7-01b0d6e1c1b8",
"siteShiftID": "5debed6e-5147-4c59-9ae8-763fcf24cfcb",
"queryCategoryID": "3601620b-a010-4526-98f4-064946ea5845",
"attendanceDate": "2026-06-12T22:58:48.0747265+00:00",
"hours": 4,
"minutes": 5,
"seconds": 6,
"hoursWorked": 7.0,
"totalBreakMinutes": 8.0,
"decisionID": 1,
"decisionDate": "2026-06-12T22:58:48.0747265+00:00",
"decisionComments": "sample string 9",
"isQuery": true,
"isClockedOut": true,
"actualClockInTime": "2026-06-12T22:58:48.0747265+00:00",
"thresholdClockInTime": "2026-06-12T22:58:48.0747265+00:00",
"actualClockOutTime": "2026-06-12T22:58:48.0747265+00:00",
"thresholdClockOutTime": "2026-06-12T22:58:48.0747265+00:00",
"overtimeHoursWorked": 12.0,
"overtimeHours": 13,
"overtimeMinutes": 14,
"overtimeSeconds": 15,
"isOvertime": true,
"approvedBySecurityGroupUserID": "ee6bad1c-e45b-467c-a9ba-74b5f3672000",
"approvedDate": "2026-06-12T22:58:48.0747265+00:00",
"notes": "sample string 17",
"isConfirmed": true,
"confirmedDateTime": "2026-06-12T22:58:48.0747265+00:00",
"confirmedBySecurityGroupUserID": "4135e493-4332-446e-806d-aa93a70c09c2",
"unprocessedScans": true,
"runningCompressedTotalWorked": 1.0,
"compressedExpectedWeekHours": 1.0
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.